Package com.ocient.cli

# Class CLI

java.lang.Object
com.ocient.cli.CLI

public class CLI extends Object

## Constructor Summary

Constructors
Constructor
Description
`CLI()`

## Method Summary

Modifier and Type
Method
Description
`static void`
`extractTo(Statement stmt, String cmd)`
`static org.jline.reader.LineReader`
`getReader()`
`static boolean`
`isInitialized()`
`static void`
`main(String[] args)`
`static String`
`scrubCommand(String cmd)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CLI

public CLI()

## Method Details

### isInitialized

public static boolean isInitialized()

### getReader

public static org.jline.reader.LineReader getReader()

### main

public static void main(String[] args)

### scrubCommand

public static String scrubCommand(String cmd)

### extractTo

public static void extractTo(Statement stmt, String cmd)